Page MenuHomePhabricator

[AMDGPU] Update code object metadata format documentation
ClosedPublic

Authored by scott.linder on Oct 19 2018, 11:56 AM.

Details

Summary
  • Add amdhsa prefix to names to allow other tools to use the metadata without collision.
  • Make names consistent.
  • Simplify structure.
  • Change note record ID.
  • Switch from YAML to MsgPack format.
  • Document metadata assembler directive.

Patch by Tony Tye (https://reviews.llvm.org/D47549 rebased with added description of assembler directive)

Diff Detail

Repository
rL LLVM

Event Timeline

scott.linder created this revision.Oct 19 2018, 11:56 AM

Update note type value.

kzhuravl added a comment.EditedOct 22 2018, 12:44 PM

In v2 asm, we had the following:

.option.machine_version_major
.option.machine_version_minor
.option.machine_version_stepping

What are the equivalents for v3 asm? The updates you made do not seem to describe those... Unless I missed it.

kzhuravl added inline comments.Oct 22 2018, 12:47 PM
docs/AMDGPUUsage.rst
688 ↗(On Diff #170255)

6->32

scott.linder marked an inline comment as done.Oct 23 2018, 7:07 AM

In v2 asm, we had the following:

.option.machine_version_major
.option.machine_version_minor
.option.machine_version_stepping

What are the equivalents for v3 asm? The updates you made do not seem to describe those... Unless I missed it.

This was replaced with .amdgcn.gfx_generation_number which is documented under "Predefined Symbols". I believe we did not want to expose minor/stepping in the assembler, and we wanted to give a more meaningful name to the major version number.

Update note type value

t-tye added a comment.Nov 5 2018, 1:05 PM

Should the v2 version of the metadata be moved to a separate section rather than be deleted since it is still generated when the v2 code object format is requested?

Preserve docs for code object v2 metadata

t-tye accepted this revision.Nov 15 2018, 12:27 PM

LGTM

This revision is now accepted and ready to land.Nov 15 2018, 12:27 PM
This revision was automatically updated to reflect the committed changes.